
QGIS Application - Bug report #7630

The qgis categorized use a different mean for the NULL values of the unique values of qgis 1.8.0

2013-04-17 12:59 AM - aperi2007 -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16553

Description

Hi,

This is a sample of a qgis 1.8.0 project using a sample shapefile with 4 values:

0101

0102

0103

0104

I have rendered it using old symbology and 

a rendering of

0101 => red

null => green

The result of this rendering is a map with a red polygon and three green polygon: qgis180.gif

When I import this project on a qgis-dev last version it transforms the old symbology (unique value) rendering to a new symbology with a

categorized where it applies:

0101 => red

null => green

But when I show the map result it shows ONLY ONE (the RED) polygon: qgis190.gif

:(

It guess this is a real problem when qgis 2.0 will be released and many qgis 1.8.0 projects will be imported.

Associated revisions

Revision e0732a06 - 2013-04-17 04:04 PM - Jürgen Fischer

fix #7630 - categorized renderer gui produces an empty string category as catch all case, so use it

History

#1 - 2013-04-17 03:09 AM - aperi2007 -

- File qgis180.gif added

Add two images showing how the reslt in qgis 1.8.0 and how the result in qgis 1.9.0
#2 - 2013-04-17 03:09 AM - aperi2007 -

- File qgis190.gif added

#3 - 2013-04-17 07:05 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e0732a06286823bc0f0cb8d65e29682591dad52d".

Files

sample.zip 6.1 KB 2013-04-16 aperi2007 -

qgis180.gif 7.75 KB 2013-04-17 aperi2007 -

qgis190.gif 2.47 KB 2013-04-17 aperi2007 -
